#!/usr/bin/env python
import os, sys, time

def main():
    for i in range(0, 44, 2):
        c_times = []
        py_times = []
        pure_py_times = []
        for j in range(5):
            start = time.time()
            os.system('echo %d | ./fibo_prog > /dev/null' % i)
            c_times.append(time.time() - start)

            start = time.time()
            os.system('echo %d | ./fibo_prog.py > /dev/null' % i)
            py_times.append(time.time() - start)

            start = time.time()
            os.system('echo %d | ./fibo_prog_pure.py > /dev/null' % i)
            pure_py_times.append(time.time() - start)

        tmp = 'fibo(%02d) pure c: %5.3fs c module: %5.3fs pure python: %06.3fs'
        print tmp % (i, sum(c_times) / 5, sum(py_times) / 5,
                     sum(pure_py_times) / 5)


if __name__ == '__main__':
    sys.exit(main())
